[Setup] Upgrade from 2.1.2 to 3.0.5

Fritz.Wittwer at swisscom.com Fritz.Wittwer at swisscom.com
Thu Feb 14 10:26:28 UTC 2008


I have installed Plone 3.0.5, Zope 2.10.5-final, python 2.4.4, sunos5
Python Version 2.4.4 (#1, Feb 13 2008, 13:49:45) [GCC 3.4.5]

Then i copied created a new site and copied the data.fs to this site.
Now i ma trying to migriate this site which fails:

-----------------
Plone Migration Tool at  /SolarisPortal/portal_migration

Lets you upgrade this Plone site to newer versions.

Current site version: 2.1.2
File system version: 3.0.5 
------------------

Result of the attempt...

    * Starting the migration from version: 2.1.2
    * Attempting to upgrade from: 2.1.2
    * Registered tools as utilities.
    * Removed vcXMLRPC.js
    * Added icons for copy, cut, paste and delete
    * Upgrade to: 2.1.3-rc1, completed
    * Attempting to upgrade from: 2.1.3-rc1
    * Upgrade to: 2.1.3, completed
    * Attempting to upgrade from: 2.1.3
    * Upgrade to: 2.1.4-rc1, completed
    * Attempting to upgrade from: 2.1.4-rc1
    * Upgrade to: 2.1.4, completed
    * Attempting to upgrade from: 2.1.4
    * Registered tools as utilities.
    * Added setup_tool.
    * Installed CMFPlacefulWorkflow.
    * Upgrade to: 2.5-alpha1, completed
    * Attempting to upgrade from: 2.5-alpha1
    * Upgrade aborted
    * Error type: exceptions.TypeError
    * Error value: unsubscriptable object
    * File "/opt/data/zope01/Products/CMFPlone/MigrationTool.py", line
210, in upgrade newv, msgs = self._upgrade(newv)
    * File "/opt/data/zope01/Products/CMFPlone/MigrationTool.py", line
321, in _upgrade res = function(self.aq_parent)
    * File
"/opt/data/zope01/Products/CMFPlone/migrations/v2_5/alphas.py", line 46,
in alpha1_alpha2 installPlonePAS(portal, out)
    * File
"/opt/data/zope01/Products/CMFPlone/migrations/v2_5/alphas.py", line 66,
in installPlonePAS installOrReinstallProduct(portal, 'PlonePAS', out)
    * File
"/opt/data/zope01/Products/CMFPlone/migrations/migration_util.py", line
85, in installOrReinstallProduct qi.installProduct(product_name,
hidden=hidden)
    * File
"/opt/data/zope01/Products/CMFQuickInstallerTool/QuickInstallerTool.py",
line 367, in installProduct res=install(portal)
    * File
"/usr/local/lib/python/Products/ExternalMethod/ExternalMethod.py", line
231, in __call__ try: return f(*args, **kw)
    * File "/opt/data/zope01/Products/PlonePAS/Extensions/Install.py",
line 911, in install restoreUserData(portal, out, userdata)
    * File "/opt/data/zope01/Products/PlonePAS/Extensions/Install.py",
line 360, in restoreUserData mtool.addMember(*u[:5])
    * File "/opt/data/zope01/Products/PlonePAS/tools/membership.py",
line 66, in addMember acl_users._doAddUser(id, password, roles, domains)
    * File "/opt/data/zope01/Products/PlonePAS/pas.py", line 49, in
_doAddUser retval = _old_doAddUser(self, login, password, roles,
domains)
    * File
"/opt/data/zope01/Products/PluggableAuthService/PluggableAuthService.py"
, line 941, in _doAddUser if useradder.doAddUser( login, password ):
    * File
"/opt/data/zope01/Products/PluggableAuthService/plugins/ZODBUserManager.
py", line 221, in doAddUser self.addUser( login, login, password )
    * File "/opt/data/zope01/Products/PlonePAS/plugins/user.py", line
68, in addUser if not AuthEncoding.is_encrypted(password):
    * File "/usr/local/lib/python/AccessControl/AuthEncoding.py", line
161, in is_encrypted if pw[:lp] == prefix:
    * End of upgrade path, migration has finished
    * The upgrade path did NOT reach current version
    * Migration has failed


-------------


any ideas?

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.plone.org/pipermail/setup/attachments/20080214/3929011b/attachment.htm


More information about the Setup mailing list